Page MenuHomePhabricator

Add hook handler for purging memcache keys when the relevant interface message page is edited
Closed, ResolvedPublic

Description

Currently [[MediaWiki:Refreshed-navigation]] and [[MediaWiki:Refreshed-wiki-dropdown]] are cached for a day (24 hours) in RefreshedTemplate::execute(). We should ensure that editing either of these pages purges the relevant cache key right away. There are two hooks we can use: PageContentSaveComplete (the Monaco skin uses this) or MessageCacheReplace (the Quartz skin uses this).

Event Timeline

ashley created this task.Jun 3 2017, 8:03 AM
SamanthaNguyen moved this task from Backlog to Feedback on the Refreshed board.Jun 3 2017, 1:46 PM
SamanthaNguyen removed SamanthaNguyen as the assignee of this task.Jun 30 2018, 8:49 PM
SamanthaNguyen removed a subscriber: SamanthaNguyen.

Change 443839 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/skins/Refreshed@master] Add hook handler for purging memcache keys when the relevant interface message page is edited

https://gerrit.wikimedia.org/r/443839

Change 443839 merged by GeorgeBarnick:
[mediawiki/skins/Refreshed@master] Add hook handler for purging memcache keys when the relevant interface message page is edited

https://gerrit.wikimedia.org/r/443839

georgebarnick closed this task as Resolved.Jul 25 2018, 2:01 AM
georgebarnick claimed this task.